#include "PhysicWindow.h"
PhysicWindow::PhysicWindow(PegRect rect, CPMainFrame* frame)
:CPModuleWindow(rect,0,0,frame){}

struct PegMenuDescriptionML submenu1[]={
    {"g", CMN_NO_ID, ANPHA , AF_ENABLED, NULL},
    {"4", CMN_NO_ID, HR , AF_ENABLED, NULL},
    {"rB", CMN_NO_ID, MUYB , AF_ENABLED, NULL},
    {"rN", CMN_NO_ID, MUYN , AF_ENABLED, NULL},
    {"h", CMN_NO_ID, H , AF_ENABLED, NULL},
    {"a", CMN_NO_ID, AO , AF_ENABLED, NULL},
    {"mr", CMN_NO_ID, MMUY , AF_ENABLED, NULL},
    {"me", CMN_NO_ID, ME , AF_ENABLED, NULL},
    {"mn", CMN_NO_ID, MN , AF_ENABLED, NULL},
    {"mp", CMN_NO_ID, MP , AF_ENABLED, NULL},
    {NULL, CMN_NO_ID, 0,0, NULL}
};

struct PegMenuDescriptionML submenu2[]={
    {"rn", CMN_NO_ID, MUYn , AF_ENABLED, NULL},
    {"re", CMN_NO_ID, MUYE , AF_ENABLED, NULL},
    {"rp", CMN_NO_ID, MUYP , AF_ENABLED, NULL},
    {"u", CMN_NO_ID, U , AF_ENABLED, NULL},
    {"R", CMN_NO_ID, RINF , AF_ENABLED, NULL},
    {"qcn", CMN_NO_ID, LCN , AF_ENABLED, NULL},
    {"qcp", CMN_NO_ID, LCP , AF_ENABLED, NULL},
    {"ip", CMN_NO_ID, GP , AF_ENABLED, NULL},
    {"qc", CMN_NO_ID, LC , AF_ENABLED, NULL},
    {"re", CMN_NO_ID, RE , AF_ENABLED, NULL},
    {NULL, CMN_NO_ID, 0 , 0, NULL}
};

struct PegMenuDescriptionML submenu3[]={
    {"C", CMN_NO_ID, C2 , AF_ENABLED, NULL},
    {"C", CMN_NO_ID, C1 , AF_ENABLED, NULL},
    {"C", CMN_NO_ID, CO , AF_ENABLED, NULL},
    {"R", CMN_NO_ID, R , AF_ENABLED, NULL},
    {"Vm", CMN_NO_ID, VM , AF_ENABLED, NULL},
    {"k", CMN_NO_ID, K , AF_ENABLED, NULL},
    {"NA", CMN_NO_ID, NA , AF_ENABLED, NULL},
    {"e", CMN_NO_ID, E , AF_ENABLED, NULL},
    {"F", CMN_NO_ID, F , AF_ENABLED, NULL},
    {"rr", CMN_NO_ID, MUYMUY , AF_ENABLED, NULL},
    {NULL, CMN_NO_ID,  0,0, NULL}
};  

struct PegMenuDescriptionML submenu4[]={
    {"atm", CMN_NO_ID, ATM , AF_ENABLED, NULL},
    {"G", CMN_NO_ID, G , AF_ENABLED, NULL},
    {"t", CMN_NO_ID, T , AF_ENABLED, NULL},
    {"Z", CMN_NO_ID, ZO , AF_ENABLED, NULL},
    {"G", CMN_NO_ID, GO , AF_ENABLED, NULL},
    {"g", CMN_NO_ID, g , AF_ENABLED, NULL},
    {"{", CMN_NO_ID, PHIO , AF_ENABLED, NULL},
    {"r", CMN_NO_ID, MUYO , AF_ENABLED, NULL},
    {"k", CMN_NO_ID, EPSILONO , AF_ENABLED, NULL},
    {"x", CMN_NO_ID, S , AF_ENABLED, NULL},
    {NULL, CMN_NO_ID, 0,0, NULL}
};
      
struct PegMenuDescriptionML constmenu[]={
    {"Submenu 4",CMN_NO_ID,0,AF_ENABLED,submenu4},
    {"Submenu 3",CMN_NO_ID,0,AF_ENABLED,submenu3},
    {"Submenu 2",CMN_NO_ID,0,AF_ENABLED,submenu2},
    {"Submenu 1",CMN_NO_ID,0,AF_ENABLED,submenu1},
    {NULL,CMN_NO_ID,0,0,NULL}
};

struct PegMenuDescriptionML length[]={
    {"in e cm",CMN_NO_ID,IN_CM,AF_ENABLED,NULL},
    {"cm e in",CMN_NO_ID,CM_IN,AF_ENABLED,NULL}, 
    {"ft e m",CMN_NO_ID,FT_M,AF_ENABLED,NULL}, 
    {"m e ft",CMN_NO_ID,M_FT,AF_ENABLED,NULL}, 
    {"yd e m",CMN_NO_ID,YD_M,AF_ENABLED,NULL},
    {"m  e yd",CMN_NO_ID,M_YD,AF_ENABLED,NULL}, 
    {"mile e km",CMN_NO_ID,MILE_KM,AF_ENABLED,NULL},
    {"km e mile",CMN_NO_ID,KM_MILE,AF_ENABLED,NULL}, 
    {"n mile e m",CMN_NO_ID,NMILE_M,AF_ENABLED,NULL},
    {"m e n mile",CMN_NO_ID,M_NMILE,AF_ENABLED,NULL},
    {"pc e km",CMN_NO_ID,PC_KM,AF_ENABLED,NULL}, 
    {"km e pc",CMN_NO_ID,KM_PC,AF_ENABLED,NULL}, 
    {NULL,CMN_NO_ID,0,0,NULL}
};

struct PegMenuDescriptionML velocity[]={
    {"km/h  e m/s",CMN_NO_ID,KMH_MS,AF_ENABLED,NULL},
    {"m/s  e km/h",CMN_NO_ID,MS_KMH,AF_ENABLED,NULL},
    {NULL, CMN_NO_ID,0,0,NULL}
};

struct PegMenuDescriptionML square[]={
    {"acre e m",CMN_NO_ID,ACRE_M2,AF_ENABLED,NULL}, 
    {"m e acre",CMN_NO_ID,M2_ACRE,AF_ENABLED,NULL},
    {NULL,CMN_NO_ID,0,0,NULL}
};

struct PegMenuDescriptionML volume[]={
    {"gal(US) e l",CMN_NO_ID,GALUS_L,AF_ENABLED,NULL}, 
    {"l e gal(US)",CMN_NO_ID,L_GALUS,AF_ENABLED,NULL},
    {"gal(UK) e l",CMN_NO_ID,GALUK_L,AF_ENABLED,NULL}, 
    {"l e gal(UK)",CMN_NO_ID,L_GALUK,AF_ENABLED,NULL},
    {NULL,CMN_NO_ID,0,0,NULL}
};

struct PegMenuDescriptionML mass[]={
    {"oz e g",CMN_NO_ID,OZ_G,AF_ENABLED,NULL}, 
    {"g  e oz",CMN_NO_ID,G_OZ,AF_ENABLED,NULL},
    {"lb e kg",CMN_NO_ID,LB_KG,AF_ENABLED,NULL}, 
    {"kg e lb",CMN_NO_ID,KG_LB,AF_ENABLED,NULL},
    {NULL, CMN_NO_ID,0,0,NULL}
};

struct PegMenuDescriptionML pressure[]={
    {"atm e Pa",CMN_NO_ID,ATM_PA,AF_ENABLED,NULL}, 
    {"Pa  e atm",CMN_NO_ID,PA_ATM,AF_ENABLED,NULL},
    {"mmHg e Pa",CMN_NO_ID,MMHG_PA,AF_ENABLED,NULL}, 
    {"Pa   e mmHg",CMN_NO_ID,PA_MMHG,AF_ENABLED,NULL},
    {"kgf/cm e Pa",CMN_NO_ID,KGFCM2_PA,AF_ENABLED,NULL}, 
    {"Pa e kgf/cm",CMN_NO_ID,PA_KGFCM2,AF_ENABLED,NULL},
    {"lbf/in e kPa",CMN_NO_ID,LBFIN2_KPA,AF_ENABLED,NULL}, 
    {"kPa e lbf/in",CMN_NO_ID,KPA_LBFIN2,AF_ENABLED,NULL},
    {NULL,CMN_NO_ID,0,0,NULL}
};                

struct PegMenuDescriptionML work[]={
    {"hp e kW",CMN_NO_ID,HP_KW,AF_ENABLED,NULL}, 
    {"kW e hp",CMN_NO_ID,KW_HP,AF_ENABLED,NULL},
    {"kgf.m e J",CMN_NO_ID,KGFM_J,AF_ENABLED,NULL}, 
    {"J e kgf.m",CMN_NO_ID,J_KGFM,AF_ENABLED,NULL},
    {"J   e cal",CMN_NO_ID,J_CAL,AF_ENABLED,NULL}, 
    {"cal e J",CMN_NO_ID,CAL_J,AF_ENABLED,NULL},
    {NULL,CMN_NO_ID,0,0,NULL}
};

struct PegMenuDescriptionML temperature[]={
    {"F e C",CMN_NO_ID,F_C,AF_ENABLED,NULL}, 
    {"C e F",CMN_NO_ID,C_F,AF_ENABLED,NULL},
    {NULL,CMN_NO_ID,0,0,NULL}
};      
                           
struct PegMenuDescriptionML convmenu[]={
    {"Pressure",CMN_NO_ID,0,AF_ENABLED,pressure},
    {"Square",CMN_NO_ID,0,AF_ENABLED,square},
    {"Velocity",CMN_NO_ID,0,AF_ENABLED,velocity},
    {"Temperature",CMN_NO_ID,0,AF_ENABLED,temperature},
    {"Work/Power",CMN_NO_ID,0,AF_ENABLED,work},
    {"Volume",CMN_NO_ID,0,AF_ENABLED,volume},
    {"Mass",CMN_NO_ID,0,AF_ENABLED,mass},
    {"Length",CMN_NO_ID,0,AF_ENABLED,length},
    {NULL,CMN_NO_ID,0,0,NULL}
};    
    

struct PegMenuDescriptionML mainmenu[]={
    {"About",CMN_NO_ID,ID_ABOUT,AF_ENABLED,NULL},
    {"Conv",CMN_NO_ID,0,AF_ENABLED,convmenu},
    {"Const", CMN_NO_ID,0,AF_ENABLED,constmenu},
    {NULL,CMN_NO_ID,0,0,NULL}
};

PegMenuDescriptionML* PhysicWindow::GetMenuDescriptionML()
{
    return mainmenu;
} 

void PhysicWindow::AddUI()
{
    PegTextButton* b = new PegTextButton(1,1,"Main",ID_MAINWINDOW);
    m_ui->AddToolbarButton(b);
}

void PhysicWindow::Draw()
{
    BeginDraw();
    DrawFrame();
    DrawChildren();
    EndDraw();
}
