#ifndef PHYSIC_WINDOW_INCLUDED
#define PHYSIC_WINDOW_INCLUDED

#include "ClassPad.h"

#define IDB_MODULE_MAIN_WINDOW              TYPE_MOD_RUNCAS
CPModuleWindow *ReplaceModuleWindow(SIGNED iNewWindowID, void *pVoid = 0, BOOL bActive = TRUE); 

enum Physic_Constant_And_Conversion
{
    MP = 2001,
    MN,
    ME,
    MMUY,
    AO,
    H,
    MUYN,
    MUYB,
    HR,
    ANPHA,
    RE,
    LC,
    GP,
    LCP,
    LCN,
    RINF,
    U,
    MUYP,
    MUYE,
    MUYn,
    MUYMUY,
    F,
    E,
    NA,
    K,
    VM,
    R,
    CO,
    C1,
    C2,
    S,
    EPSILONO,
    MUYO,
    PHIO,
    g,
    GO,
    ZO,
    T,
    G,
    ATM,
    
    IN_CM, CM_IN,
    FT_M, M_FT,
    YD_M, M_YD,
    MILE_KM, KM_MILE,
    NMILE_M, M_NMILE,
    ACRE_M2, M2_ACRE,
    GALUS_L, L_GALUS,
    GALUK_L, L_GALUK,
    PC_KM, KM_PC,
    KMH_MS, MS_KMH,
    OZ_G, G_OZ,
    LB_KG, KG_LB,
    ATM_PA, PA_ATM,
    MMHG_PA, PA_MMHG,
    HP_KW, KW_HP,
    KGFCM2_PA, PA_KGFCM2,
    KGFM_J, J_KGFM,
    LBFIN2_KPA, KPA_LBFIN2,
    F_C, C_F,
    J_CAL, CAL_J,
    
    ID_MAINWINDOW,
    ID_ABOUT
};    

class PhysicWindow: public CPModuleWindow
{
    public:
        PhysicWindow(PegRect rect, CPMainFrame* frame);
        void Draw();
        void DispConst(CPString str1, CPString str2);
        void DispConv(OBCD d, CPString str1, CPString str2, CPString inc = "0");
        void Save(OBCD x);
        void AddUI();
        SIGNED Message(const PegMessage& Mesg);
        PegMenuDescriptionML* GetMenuDescriptionML();
};    

#endif
